# -*- coding: utf-8 -*-
"""
/***************************************************************************
 AIAMAS
                                 A QGIS plugin
 This plugin sytlizes a number of layers for better distinguishability of the map.
 Generated by Plugin Builder: http://g-sherman.github.io/Qgis-Plugin-Builder/
                             -------------------
        begin                : 2023-11-21
        copyright            : (C) 2023 by geometalab
        email                : geometalab@ost.ch
        git sha              : $Format:%H$
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
 This script initializes the plugin, making it known to QGIS.
"""


# noinspection PyPep8Naming
def classFactory(iface):  # pylint: disable=invalid-name
    """Load AIAMAS class from file AIAMAS.

    :param iface: A QGIS interface instance.
    :type iface: QgsInterface
    """
    #
    from .AIAMAS import AIAMAS
    return AIAMAS(iface)
